## freetts 1.2.2

=== docs/Makefile ===
# Copyright 2001 Sun Microsystems, Inc.
# All Rights Reserved.  Use is subject to license terms.
# 
# See the file "license.terms" for information on usage and
# redistribution of this file, and for a DISCLAIMER OF ALL 
# WARRANTIES.
#
# build the php from the main page

TOP = ..

include ${TOP}/build/Makefile.config


deploy:	index.php

index.php:    index.html
	gawk -f create_php.awk < $< > $@

clean::
	rm -f index.php

=== debian/changelog ===
freetts (1.2.2-8) unstable; urgency=medium

  * move packaging repository to salsa.debian.org

 -- Bdale Garbee <bdale@gag.com>  Sat, 04 Jan 2025 14:18:42 -0700

freetts (1.2.2-7) unstable; urgency=medium

  * rebuild to freshen standards and have a source-only upload

 -- Bdale Garbee <bdale@gag.com>  Sun, 03 Jan 2021 09:43:46 -0700

freetts (1.2.2-6) unstable; urgency=medium

  * better long-term solution to java runtime dependency issue

 -- Bdale Garbee <bdale@gag.com>  Fri, 13 Apr 2018 15:17:41 -0600

freetts (1.2.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * build with openjdk-8 instead of default-jdk
  * Disable custom loadClass in VoiceManager

 -- Keith Packard <keithp@keithp.com>  Thu, 12 Apr 2018 10:31:23 -0700

freetts (1.2.2-5) unstable; urgency=low

  * update to policy 4.1.3

 -- Bdale Garbee <bdale@gag.com>  Fri, 29 Dec 2017 23:48:19 -0700

freetts (1.2.2-4) unstable; urgency=low

  [ Keith Packard ]
  * make upstream-relevant patch so freetts works with PulseAudio

  [ Bdale Garbee ]
  * update package to current standards, fix lintian warnings, etc

 -- Bdale Garbee <bdale@gag.com>  Mon, 02 Oct 2017 10:35:25 -0600

freetts (1.2.2-3) unstable; urgency=low

  * make git-buildpackage point to the right "upstream" branch

 -- Bdale Garbee <bdale@gag.com>  Fri, 06 Aug 2010 16:50:29 -0400

freetts (1.2.2-2) unstable; urgency=low

  * don't build the mbrola wrapper since it's useless to us

 -- Bdale Garbee <bdale@gag.com>  Mon, 02 Aug 2010 20:24:36 -0400

freetts (1.2.2-1) unstable; urgency=low

  * Initial packaging for Debian, closes: #576346

 -- Bdale Garbee <bdale@gag.com>  Tue, 18 May 2010 11:59:58 -0600

=== debian/control ===
Source: freetts
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 13), default-jdk, ant, ant-optional, junit4, javahelper
Standards-Version: 4.7.0
Section: java
Vcs-Git: https://salsa.debian.org/debian/freetts.git
Vcs-Browser: https://salsa.debian.org/debian/freetts
Homepage: http://freetts.sourceforge.net

Package: freetts
Section: java
Architecture: all
Depends: default-jre | java2-runtime, ${misc:Depends}
Description: speech synthesis system
 FreeTTS is a speech synthesis system written entirely in the Java(TM) 
 programming language.  It is based upon Flite, a small run-time speech 
 synthesis engine developed at Carnegie Mellon University.  Flite in turn
 is derived from the Festival Speech Synthesis System from the University 
 of Edinburgh and the FestVox project from Carnegie Mellon University.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
#export CLASSPATH=

%:
	dh  $@
#	dh  $@ --with javahelper

override_dh_auto_build:
	ln -sf . src
	ant debian

override_dh_auto_clean:
	dh_auto_clean
	rm -f src

override_dh_auto_install:
	jh_installlibs lib/freetts.jar
	jh_installlibs lib/en_us.jar
	jh_installlibs lib/cmulex.jar
	jh_installlibs lib/cmudict04.jar
	jh_installlibs lib/cmutimelex.jar
	jh_installlibs lib/cmu_us_kal.jar
	jh_installlibs lib/cmu_time_awb.jar
	jh_installjavadoc javadoc
#	printf '#!/bin/sh\njava -jar /usr/share/java/%s\n' \
#		"`/bin/ls build/jar`" > \
#		`pwd`/debian/openrocket/usr/bin/openrocket

#override_dh_installman:
#	dh_installman debian/openrocket.1

=== debian/watch ===
# Example watch control file for uscan
# See uscan(1) for format

version=3

http://sf.net/freetts/freetts-(.*)-src.zip
